Velocity Reviews

Velocity Reviews (http://www.velocityreviews.com/forums/index.php)
-   Ruby (http://www.velocityreviews.com/forums/f66-ruby.html)
-   -   Sun Cobalt RaQ 550 Installation (http://www.velocityreviews.com/forums/t841733-sun-cobalt-raq-550-installation.html)

Anthony Landa 06-21-2007 05:40 PM

Sun Cobalt RaQ 550 Installation
 
I tried to install Ruby per the instructions on
http://wiki.rubyonrails.com/rails/pa...artedWithRails
and
http://wiki.rubyonrails.com/rails/pa...ed+Hat+Linux+9

During the 'make', things start breaking down somewhere around this
message:

<code>
compiling openssl
make[1]: Entering directory `/root/ruby-1.8.5/ext/openssl'
gcc -I. -I../.. -I../../. -I../.././ext/openssl
-DRUBY_EXTCONF_H=\"extconf.h\" -fPIC -g -O2 -c openssl_missing.c
gcc -I. -I../.. -I../../. -I../.././ext/openssl
-DRUBY_EXTCONF_H=\"extconf.h\" -fPIC -g -O2 -c ossl.c
In file included from /usr/include/openssl/conf.h:66,
from /usr/include/openssl/x509v3.h:63,
from ossl.h:49,
from ossl.c:11:
/usr/include/openssl/e_os.h:302: warning: `RFILE' redefined
../../ruby.h:431: warning: this is the location of the previous
definition
gcc -I. -I../.. -I../../. -I../.././ext/openssl
-DRUBY_EXTCONF_H=\"extconf.h\" -fPIC -g -O2 -c ossl_asn1.c
In file included from /usr/include/openssl/conf.h:66,
from /usr/include/openssl/x509v3.h:63,
from ossl.h:49,
from ossl_asn1.c:11:
/usr/include/openssl/e_os.h:302: warning: `RFILE' redefined
../../ruby.h:431: warning: this is the location of the previous
definition
gcc -I. -I../.. -I../../. -I../.././ext/openssl
-DRUBY_EXTCONF_H=\"extconf.h\" -fPIC -g -O2 -c ossl_bio.c
In file included from /usr/include/openssl/conf.h:66,
from /usr/include/openssl/x509v3.h:63,
from ossl.h:49,
from ossl_bio.c:11:
/usr/include/openssl/e_os.h:302: warning: `RFILE' redefined
../../ruby.h:431: warning: this is the location of the previous
definition
</code>

So, after two attempts, I scrapped the idea of installing Ruby manually,
and tried to find a Cobalt RPM.

I came across this website:

http://www.ruby-project.net/Ruby/55x/

But I really don't know where to go from there. eruby-1.0.1-2.src.rpm
looks like it might be promising. So does ruby-1.6.8-5.i386.rpm .

I'm afraid to just start randomly installing rpms. I cannot find any
documentation. Any tips, or should I just give up entirely?

Thanks,

-T

--
Posted via http://www.ruby-forum.com/.



All times are GMT. The time now is 06:19 AM.

Powered by vBulletin®. Copyright ©2000 - 2014, vBulletin Solutions, Inc.
SEO by vBSEO ©2010, Crawlability, Inc.